Get token

To obtain an Access Token and a Refresh Token, the RP (Client) sends a Token Request to the Token Endpoint to obtain a Token Response, as described in Section 3.2 of OAuth 2.0.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
enum
required

Branch of the request.

Allowed:
Body Params
string

Must be identical to the "redirect_uri" parameter that was included in the authorization request. Not needed when requesting a refresh token.

string

The authorization code received from the authorization server. Not needed when requesting a refresh token.

string

The refresh token received from the authorization server. Not needed when using an authorization code.

string
enum
required

Specify "authorization_code" when an authorization code is provided or "refresh_token" when a refresh token is provided.

Allowed:
string

Client provided code verifier for additional challenge-response verification, see RFC7636 for more information. Not needed when requesting a refresh token.

Headers
string
required

Client secret basic authentication.

Responses

400

unsupported_grant_type, invalid_request, invalid_grant or unauthorized_client

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json